Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1518734

Summary: No error message displayed on UI, when trying to delete Router with attached interface
Product: Red Hat CloudForms Management Engine Reporter: Andrey <aveselov>
Component: ProvidersAssignee: Andrey <aveselov>
Status: POST --- QA Contact: Md Nadeem <mnadeem>
Severity: medium Docs Contact:
Priority: medium    
Version: 5.9.0CC: aveselov, gblomqui, iovadia, jfrey, jhajyahy, jhardy, lavenel, maufart, mshriver, obarenbo, simaishi, slucidi
Target Milestone: GA   
Target Release: 5.10.z   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: 5.10.0.11 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack

Description Andrey 2017-11-29 14:15:21 UTC
Description of problem:
==================
When deleting Router with some attached interface (i.e. subnet), there's no flash error message in UI
 
Version-Release number of selected component (if applicable):
==================
5.9.0.11

How reproducible:
==================
100%

Steps to Reproduce:
===================

1. browse: Networks --> Network Routers --> Add new Network Router
2. Connect some existing subnet to a router
4. browse: Networks --> Routers
5. Select the created router
6. Click Configuration --> Delete this Network Router

Actual results:
===============
Message "Delete initiated for 1 Network Router" displayed on UI. The error message only shown in evm.log

Expected results:
=================
Error Should displayed on UI "Network In Use"

Additional info:
====================
evm.log
[----] E, [2017-11-29T08:14:33.163073 #58343:e79140] ERROR -- : MIQ(ManageIQ::Providers::Openstack::NetworkManager::NetworkRouter#raw_delete_network_router) router=[test_router], error: Expected(204) <=> Actual(404 Not Found)

====================
This bug is similar to https://bugzilla.redhat.com/show_bug.cgi?id=1470210

Comment 6 Ido Ovadia 2017-12-05 16:00:08 UTC
Seems to be fix by https://bugzilla.redhat.com/show_bug.cgi?id=1518338#c2

Comment 7 Ido Ovadia 2017-12-05 16:04:23 UTC
(In reply to Ido Ovadia from comment #6)
> Seems to be fix by https://bugzilla.redhat.com/show_bug.cgi?id=1518338#c2

Please ignore, putted on wrong bug by mistake

Comment 10 CFME Bot 2018-08-06 18:54:53 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/master:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/f58bbf45654bebd07ada248b4bb500d5772c831a
commit f58bbf45654bebd07ada248b4bb500d5772c831a
Author:     Andrei Veselov <aveselov@redhat.com>
AuthorDate: Thu Jun  7 05:17:48 2018 -0400
Commit:     Andrei Veselov <aveselov@redhat.com>
CommitDate: Thu Jun  7 05:17:48 2018 -0400

    Add notifications for Router delete

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1518734

 app/models/manageiq/providers/openstack/network_manager/network_router.rb | 9 +-
 1 file changed, 7 insertions(+), 2 deletions(-)

Comment 11 Jadh 2018-11-18 13:24:56 UTC
The router is not deleted but no error message appears
Tested on 5.10.0.24

Comment 15 Sam Lucidi 2019-03-19 15:06:10 UTC
https://github.com/ManageIQ/manageiq/pull/17514